/**
 * 微信会员修改密码
 * */
var cid = helper.request.queryString("cid");
var ctel = helper.request.queryString("ctel");
var ishouse = helper.request.queryString("ishouse");

$(function(){
	$('#Username').val(ctel);
	$('#Password').on('keyup',validate);
	$('#Password2').on('keyup',validate);
	$('#modifyPasswordBtn').off('click',modifyPassword);
	$('#modifyPasswordBtn').on('click',modifyPassword);
});


//修改密码
function modifyPassword(){
	if(!regexs.passwordReg.test($.trim($('#Password').val()))) {
		layer.confirm('请输入有效的新密码（6-32个字符只能是字母、下划线、数字）', {
			icon: 2,
			btn: ['确定'] 
		});
		return;
	}
	if(!regexs.passwordReg.test($.trim($('#Password2').val()))) {
		layer.confirm('请输入有效的确认密码（6-32个字符只能是字母、下划线、数字）', {
			icon: 2,
			btn: ['确定'] 
		});
		return;
	}
	
	$.post(huayi.config.callcenter_url + "Customer/CustomerResetPwd", {
		cusid: cid,//	是	string	id
		usercode: ctel,//	是	string	手机号账号
		pwd: $('#Password').val(),//	是	string	密码
		repeatpwd: $('#Password2').val(),//	否	string	密码2
		token: $.cookie("token")		
	}, function(data) {
		data = JSON.parse(data);
		if(data.state.toLowerCase() === "success") {
			var index = parent.layer.getFrameIndex(window.name);
			parent.layer.close(index);
			if(ishouse === "0") { //0 是业主 1是住户
				parent.table.reload('t_callTotal');
			} else {
				parent.table.reload('t_callTotal1');
			}
			parent.layer.msg("密码初始化成功！");
		}
	});
}

function validate() {
    var pwd = $.trim($("#Password").val());
    var pwd2 = $.trim($("#Password2").val());
    if(!pwd){
    	$("#pasInfo").text("新密码不能为空!");
        $("#pasInfo").css("color","red");
        $("#modifyPasswordBtn").prop("disabled", true);
    	return;
    }else{
    	$("#pasInfo").text("");
		$("#modifyPasswordBtn").prop("disabled", true);
    }
    if(!pwd2){
    	$("#pas2Info").text("新密码不能为空!");
        $("#pas2Info").css("color","red") 
  		$("#modifyPasswordBtn").prop("disabled", true);
    }
    if(pwd == pwd2){
        $("#pas2Info").text("新密码和确认密码相同");
        $("#pas2Info").css("color","green");
    	$("#modifyPasswordBtn").prop("disabled", false);
    }else {
        $("#pas2Info").text("新密码和确认密码不相同");
        $("#pas2Info").css("color","red");
        $("#modifyPasswordBtn").prop("disabled", true);
    }
}
